
Redmine - Defect #12203

upgrade from 1.4 to 2.1 404 error

2012-10-24 17:17 - Slaffka Vlasov

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.1.2

Description

Hello.

I've upgraded Redmine from 1.4 to 2.1 and it was fine but when i open issues containg attachments with russian letters - i have 404

error.

Like this:

Started GET "/attachments/download/1078/всплывающее окно.pptx" for *.*.*.* at Wed Oct 24 18:54:00 

+0400 2012

Processing by AttachmentsController#download as HTML

  Parameters: {"id"=>"1078", "filename"=>"всплывающее окно.pptx"}

  Current user: user (id=9)

  Rendered common/error.html.erb within layouts/base (0.2ms)

  Rendered plugins/redmine_improved_searchbox/app/views/redmine_improved_searchbox/_redmine_improv

ed_searchbox_partial.html.erb (0.1ms)

Filter chain halted as :file_readable rendered or redirected

Completed 404 Not Found in 51ms (Views: 39.4ms | ActiveRecord: 2.1ms)

 Attachments named in english are ok. what can be wrong????

My env

Environment:

  Redmine version                          2.1.2.stable

  Ruby version                             1.8.7 (i486-linux)

  Rails version                            3.2.8

  Environment                              production

  Database adapter                         MySQL

Redmine plugins:

  notify_custom_users                      0.0.4

  redmine_anonymous_watchers               0.0.1

  redmine_custom_workflows                 0.0.3

  redmine_equipment_status_viewer          1.0.0

  redmine_improved_searchbox               0.0.2

  redmine_inline_attach_screenshot         0.4.2

  redmine_knowledgebase                    2.1.2

  redmine_logs                             0.0.5

  redmine_monitoring_controlling           0.1.1

  redmine_textilizable_custom_fields       0.0.1

  redmine_wiki_toc                         0.0.4

History

#1 - 2012-10-24 23:25 - Jean-Philippe Lang

Maybe you could investigate a bit to see why this attachment is not readable.

#2 - 2012-10-25 07:08 - Slaffka Vlasov

- Status changed from New to Resolved

mea culpa... i've found a mistake in configuration.yml. attachments_starage_path was just /files not #{RAILS_ROOT}/files, thx)))

#3 - 2012-10-25 08:15 - Etienne Massip
- Status changed from Resolved to Closed

- Resolution set to Invalid
